local GridFrame = Grid:GetModule("GridFrame")

GridClickSets = Grid:NewModule("GridClickSets")

hooksecurefunc(GridFrame, "InitializeFrame", function(gridFrameObj, frame) 
	GridClickSets_SetAttributes(frame, GridClickSets.db.profile[UnitName("player")]);
end)

GridClickSets.options = {
	type = "execute",
	name = GRIDCLICKSETS_MENUNAME,
	desc = GRIDCLICKSETS_MENUTIP,
	order = 1,
	func = function()
		LibStub("AceConfigDialog-3.0"):Close("Grid");
		GridClickSetsFrame:Show();
	end
}

function GridClickSets:OnEnable()
	if not GridClickSets.db.profile[UnitName("player")] then
		GridClickSets.db.profile[UnitName("player")] = GridClickSets_GetDefault()
	end
	GridClickSets_Set = GridClickSets.db.profile[UnitName("player")]
end

function GridClickSets:Reset()
	self.super.Reset(self)
	self:OnEnable()
	GridClickSetsFrame_UpdateGridFrame()
end